@openwop/spec-artifacts 2.46.8 → 2.46.9

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
package/CORPUS-STAMP.json CHANGED
@@ -1,17 +1,17 @@
1
1
  {
2
2
  "_comment": "Provenance of @openwop/spec-artifacts (RFC 0168 §D.2). files: SHA-256 per file; the conformance suite compares the installed peer against dist/spec-artifacts.lock.json at start.",
3
3
  "package": "@openwop/spec-artifacts",
4
- "version": "2.46.8",
5
- "corpusTag": "v2.46.8",
4
+ "version": "2.46.9",
5
+ "corpusTag": "v2.46.9",
6
6
  "files": {
7
7
  "api/.redocly.lint-ignore.yaml": "bf5a8350b88a72fa43f59605ed8d903ed24b6cfccda5e45509c9f6ed9ee4e712",
8
8
  "api/asyncapi.yaml": "d5ecb9ee6114582be3b1f662c84bfac9ae96dae7bacb853e461168f70a8e1c7d",
9
9
  "api/grpc/openwop.proto": "c3e72bb17cba514ee98feb6434e6c9b6ea6795bfd086489ec69fd882dd1ad977",
10
10
  "api/openapi.yaml": "ac6de5303872664b78ff419c035915593e01599e02835e777a0123de1baeb398",
11
11
  "api/redocly.yaml": "b0604c89b2ca6d5076ec25725c539dad44a741a811fe524439ee6daef8baa09f",
12
- "api/seams-v2.yaml": "f9a0c7da940a9f31a689bea929c33b4e70b0293f955e2a91329ec46d86eced3f",
13
- "api/v2/asyncapi.yaml": "77259d3d85bbc4cd83daa54382c7cfa08a84fb253cb0b1f7b8005a9a38d94ff7",
14
- "api/v2/openapi.yaml": "139ef732f96270dc64e2365a42cdaa23f3177a80db63c9f16ee36f16935446f7",
12
+ "api/seams-v2.yaml": "24976e53171c747270890e0f2591ccc2630477824c56edc003d00135bb89daea",
13
+ "api/v2/asyncapi.yaml": "0da749b02294f7e8c9ded99858bb15296b250b0f1a58d28e5a3f9f289e477d34",
14
+ "api/v2/openapi.yaml": "b05a3b2e80b7348f0f02647dbd117dcda1604010b59da62a9871139f79726311",
15
15
  "api/v2/redocly.yaml": "1e66b60e6118ad11a823bb620678be464d99dfe50a40e3e6f93ec9429b88b34c",
16
16
  "schemas/README.md": "276fc1d51eb08e14e9127b9fd27761d7046ee33c12000f3a64a801322db8bf58",
17
17
  "schemas/a2a-task-state.schema.json": "75d5049dea8bd873ff0e7546f1c60c8d36c219bec7084264360be54a8be30ae1",
@@ -103,7 +103,7 @@
103
103
  "schemas/v2/a2ui-surface-delta-frame.schema.json": "6889c5da3fe7e76cb614038c0eea6774776fa640448558b258eb87fb50cb9b64",
104
104
  "schemas/v2/agent-deployment-transition.schema.json": "93a334ff042d51378c89fdd7134664271bf9592419bb5e3e00821ed06bc1904e",
105
105
  "schemas/v2/agent-deployment.schema.json": "d59b43fb62b522005ee22bc3bc53775a6777493e5e42d71812abc347625fa7fe",
106
- "schemas/v2/agent-eval-suite.schema.json": "e6925711c478f35c03dcc7d1c8b7c8ec0814d468ad1ed2beb3e54405d8eb0752",
106
+ "schemas/v2/agent-eval-suite.schema.json": "e80439bc6873a5d9a14122f81d16f7650104018d814bd316aafd3fc8b8225604",
107
107
  "schemas/v2/agent-inventory-response.schema.json": "5f74c3da946dfc3114624567a989717748081ab947b4d2af3f49034d67f4306b",
108
108
  "schemas/v2/agent-manifest.schema.json": "004ff150e955deebb9e64273de5093f5144b9b3895b09953e65aa74b61140778",
109
109
  "schemas/v2/agent-org-chart.schema.json": "113b079e1dce95908467cbef7f83e076fdb82aab5b0678fc1a43e32bfc9cbadf",
@@ -145,7 +145,7 @@
145
145
  "schemas/v2/envelopes/schema.response.schema.json": "d049a081267c06c28879c331b147f3ed821b14ccfd93005c67aff64db0a8c68e",
146
146
  "schemas/v2/envelopes/ui.a2ui-surface.schema.json": "e92a2548ba65454c9e0a34f72ea6768d18f59e61fa5da7668d0b2d5baddaddc8",
147
147
  "schemas/v2/error-envelope.schema.json": "8ddb1d80330dfef17572a74dfe3a53e1a06411e4b0af6a6f1dd6e7e7461da987",
148
- "schemas/v2/eval-summary.schema.json": "fc8ea719a8241eacd12e90d36934369386673bd50edebe6814782a19605a7776",
148
+ "schemas/v2/eval-summary.schema.json": "e670fad6c4c487f80edf3832ccd427b534b2066fbbc1cc2c158e205d6e7e3f6b",
149
149
  "schemas/v2/export-bundle.schema.json": "bd28905a7729437ab7f2ad8bb33e13a371b2bf5605a7eb2962a0d246de312d69",
150
150
  "schemas/v2/form-content-pack-manifest.schema.json": "a1942a124e250a6e9fbdb6b811c5a125e78fbcbcaa46dfc71d0636f24710a339",
151
151
  "schemas/v2/frontend-plugin-manifest.schema.json": "b279da288d542906a72b8cb4e872e001de632eaff539e0259b9cce287f82bf8f",
@@ -174,7 +174,7 @@
174
174
  "schemas/v2/residency.schema.json": "3fd23c9732beb140504e81560fc426eb6764d547e56da5fb92c5a5c7bf04db3a",
175
175
  "schemas/v2/run-ancestry-response.schema.json": "334c17f2062dea62726ca1d07b8be3f169cdc422af843c1def5fb317039814c9",
176
176
  "schemas/v2/run-diff-response.schema.json": "8bdb2045c274580038bd74781f7d062f5049839797c164a89de4ed89edc53a74",
177
- "schemas/v2/run-event-payloads.schema.json": "24992db063ccab827710d462e834cc6299bf6f7aa651b118e30ef33506cc7aae",
177
+ "schemas/v2/run-event-payloads.schema.json": "e21d0cb64cb969be32e49e87f3af418bacb40e8fcb515a848dfe7d9609d8d0b6",
178
178
  "schemas/v2/run-event.schema.json": "2f0d7416bd376c56affe97b6b2b49981532e8e9ff45c0a162cf806c78b3e7fb7",
179
179
  "schemas/v2/run-list-response.schema.json": "c2dbc34768dcf64528914a213aa3cb55952e8e3e90a64b04a9423b2a19749d38",
180
180
  "schemas/v2/run-options.schema.json": "f0e9f494d80086c2ed2cf9fe87df54e5b4e66601699c4a1089f4edbc7ba58867",
@@ -208,7 +208,7 @@
208
208
  "schemas/workspace-file.schema.json": "464de85c2a068243084ee9c1d969bc7cd5d8f7948574e58450d6493c38a0e1e4",
209
209
  "spec/v1/alias-detectors.json": "22444c22bb88c568339ef512553f9fc38146e22b566d11ab8608f655d688d19c",
210
210
  "spec/v1/capability-declaration-classes.json": "e7729aed5c4b4e1dd02abab0530f14cc95f5d4070fe51fb139e7f5cccefa00c6",
211
- "spec/v1/core-standard-manifest.json": "031419b7f2fa27bb1d550d5f8caf92cea889de73998aa723859c8a3e29b4458e",
211
+ "spec/v1/core-standard-manifest.json": "baa24251d00109b8fa47b5dfd8c6cecab312b75240ff5519e71f704eb7fd03f0",
212
212
  "spec/v1/deprecations.json": "e723bc11d7272c71789ad1303bb7f21809a8a024abf57594f9d5c35dc199ece9",
213
213
  "spec/v1/deprecations.schema.json": "3e393c405d2a41b467d8c5e3c468549078df1ce6a6d2588fc488097b95d9b55b",
214
214
  "spec/v1/end-of-support.json": "35f0bf3b70fe78b16e2a2fd81a153fc27e703f6c16376c6fe7cdf1f4f2c4e6d4",
@@ -313,9 +313,9 @@
313
313
  "spec/v2/path-manifest.json": "7b5679a4dad98c80d855361d88a98c8a4e045af15e310862a05b285b815dc9fc",
314
314
  "spec/v2/peer-dependency-aliases.json": "d10299280abee08258502925bc327293ee413e0108cd6e6ec75ff6110653308d",
315
315
  "spec/v2/profiles.json": "b382b261c7844798575f7c1b37c934f0da19846016a2337d883d4f5ef6e05479",
316
- "spec/v2/release.json": "c291a28051bf090d15ad928487c427566b37bcded475b7475312200d91af022d",
316
+ "spec/v2/release.json": "3d39622c2a2f6e53ad2bc4fc45439006a0877a3b4b4000de5ea4c5fc90863b64",
317
317
  "spec/v2/retention-floors.json": "eaf3722d95c79947af1d4269ef85117e126518c588cfcf1a2b21b97269f51624",
318
- "spec/v2/surface-baseline.json": "15f53de22504577387afe746758f4bf5c6e76f1d6190cc1e5c9dd18ebd77e0b9"
318
+ "spec/v2/surface-baseline.json": "8782769b454e3f781b889d06fe11978bc6da5eb1993935c205bf05c1b09e5d67"
319
319
  },
320
- "corpusCommit": "2793cd29bd41ca40727d919971b3ebc8b5e61dcf"
320
+ "corpusCommit": "30aa92326225c92edeea084e2c3c484ca18e10e8"
321
321
  }
package/api/seams-v2.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  openapi: 3.1.0
2
2
  info:
3
3
  title: OpenWOP conformance seams profile (openwop-conformance-seams-v2)
4
- version: 2.46.8
4
+ version: 2.46.9
5
5
  description: 'The OpenWOP conformance seams profile (`openwop-conformance-seams-v2`): test-only operations in their own
6
6
  path space, `/conformance/seams/…`. The profile is versioned and validated against the canonical v2 schemas with no tolerance
7
7
  path. It is not a capability: a host advertises the profile, never a `testSeams` flag.
@@ -1,7 +1,7 @@
1
1
  asyncapi: 3.1.0
2
2
  info:
3
3
  title: OpenWOP v2 event streams
4
- version: 2.46.8
4
+ version: 2.46.9
5
5
  description: 'OpenWOP v2 event streams over SSE. The run-events channel''s address is the OpenAPI path key, and the server
6
6
  pathname is empty (bare origin). `streamMode` is a stream mode from the closed set, or a comma-separated combination of
7
7
  them; `values` never combines. `hostEvents` has a default address, `/host/events`; a host MAY declare another under `heartbeat.deliveryChannel`.
@@ -1,7 +1,7 @@
1
1
  openapi: 3.1.0
2
2
  info:
3
3
  title: OpenWOP v2 API
4
- version: 2.46.8
4
+ version: 2.46.9
5
5
  summary: REST surface for declaring, executing, suspending, resuming, and observing multi-step workflows.
6
6
  description: 'The OpenWOP v2 REST API. Paths are unversioned and served at the bare origin; a client selects a version with
7
7
  the `OpenWOP-Version` header from the host''s `protocolVersions[]`. Conformance seams and test-mode operations are not
package/package.json CHANGED
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@openwop/spec-artifacts",
3
- "version": "2.46.8",
3
+ "version": "2.46.9",
4
4
  "description": "The OpenWOP machine-readable contract: api/ (OpenAPI, AsyncAPI, the seams profile), schemas/ (v1 and v2 JSON Schemas), the spec/v1 and spec/v2 registries (errors, event codemap, declaration, deprecations, migrations, gaps) and CORPUS-STAMP.json — published from the openwop/openwop corpus tag; the peer dependency @openwop/openwop-conformance digest-checks at start (RFC 0168 §D.2).",
5
5
  "license": "Apache-2.0",
6
6
  "repository": {
@@ -315,7 +315,7 @@
315
315
  "fail",
316
316
  "live"
317
317
  ],
318
- "description": "RFC 0244 §D. MAY. `fail`: a call matching no unconsumed entry MUST NOT reach a live tool or any external side effect; the host returns a tool error to the agent, counts it in the task's `fixtureMissCount`, and reports the trial `passed: false`. `live`: a miss MAY call the live tool, and the task's `fixtureMissCount` MUST then be > 0. Absent: the RFC 0081 behaviour is unchanged (a host SHOULD treat it as `fail`). Requires `agents.evalSuite.fixtureMatching`, as does `toolResponses[].args`."
318
+ "description": "RFC 0244 §D. MAY. `fail`: a call matching no unconsumed entry MUST NOT reach a live tool or any external side effect; the host returns a tool error to the agent, counts it in the task's `fixtureMissCount`, and reports the trial `passed: false` and `score: 0`. `live`: a miss MAY call the live tool, and the task's `fixtureMissCount` MUST then be > 0. Absent: the RFC 0081 behaviour is unchanged (a host SHOULD treat it as `fail`). Requires `agents.evalSuite.fixtureMatching`, as does `toolResponses[].args`."
319
319
  }
320
320
  }
321
321
  }
@@ -240,7 +240,7 @@
240
240
  "fixtureMissCount": {
241
241
  "type": "integer",
242
242
  "minimum": 0,
243
- "description": "RFC 0244 \u00a7D. Tool calls that matched no unconsumed fixture entry, summed over the task's trials."
243
+ "description": "RFC 0244 \u00a7D. Tool calls that matched no unconsumed fixture entry, summed over the task's trials. A trial that fails closed (a miss under `onMiss: \"fail\"`) MUST report `score: 0` as well as `passed: false`."
244
244
  }
245
245
  }
246
246
  }
@@ -3457,7 +3457,7 @@
3457
3457
  "type": "number",
3458
3458
  "minimum": 0,
3459
3459
  "maximum": 1,
3460
- "description": "Task score (0.0\u20131.0)."
3460
+ "description": "Task score (0.0\u20131.0). RFC 0244 \u00a7D: a trial that fails closed (a miss under `onMiss: \"fail\"`) MUST report 0."
3461
3461
  },
3462
3462
  "passed": {
3463
3463
  "type": "boolean",
@@ -4,7 +4,7 @@
4
4
  "provenance": {
5
5
  "suite": {
6
6
  "package": "@openwop/openwop-conformance",
7
- "version": "2.46.8"
7
+ "version": "2.46.9"
8
8
  },
9
9
  "note": "Derived from the corpus at generation time. Regenerate with --write; verify with --check."
10
10
  },
@@ -426,5 +426,5 @@
426
426
  "$id": "https://openwop.dev/spec/v1/workspace-file.schema.json"
427
427
  }
428
428
  ],
429
- "digest": "75d418bd54138b86712944bfe1c1a6a1081689e4a81eb66a34778e1dbcb90427"
429
+ "digest": "57f041c4bcdd80edf4cf2e62db641ddae65cf54e11f2d8551bcf41c27c8bc1fd"
430
430
  }
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "$comment": "RFC 0172 §D.1 — the one release identity the v2 artifacts derive from. `version` is the next corpus tag `v<version>` (the publish workflow's coordinated-release tag pattern `v*`; RFC 0172's `openwop/v2.<minor>.<patch>` spelling is amended to this at its flip). api/v2/*.yaml info.version, the suite's 2.x version and @openwop/spec-artifacts read it. Bumped by the release PR that cuts the tag, never by hand elsewhere.",
3
- "version": "2.46.8",
4
- "corpusTag": "v2.46.8",
3
+ "version": "2.46.9",
4
+ "corpusTag": "v2.46.9",
5
5
  "updated": "2026-10-14"
6
6
  }
@@ -4,7 +4,7 @@
4
4
  "schemas/v2/**/*.json",
5
5
  "spec/v2/path-manifest.json"
6
6
  ],
7
- "release": "2.46.8",
7
+ "release": "2.46.9",
8
8
  "kinds": {
9
9
  "union": [
10
10
  "channel",